Extending Qt Creator Manual | FileIconProvider Namespace

Extending Qt Creator Manual 4.11.0

# FileIconProvider Namespace

(Core::FileIconProvider)

## Functions

Core::Q_DECL_IMPORT | registerIconOverlayForMimeType(const int &path, const int &mimeType)
Core::Q_DECL_IMPORT | registerIconOverlayForSuffix(const int &path, const int &suffix)

## Function Documentation

### Core::Q_DECL_IMPORT FileIconProvider::registerIconOverlayForMimeType(const int &path, const int &mimeType)

This is an overloaded function.

### Core::Q_DECL_IMPORT FileIconProvider::registerIconOverlayForSuffix(const int &path, const int &suffix)

Registers an icon for a given suffix, overlaying the system file icon. See platform note in class documentation about recommended usage.